/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2002 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.
 
    You should have received a copy of the GNU General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to professionally license this library, the author
    can be reached at info@mohawksoft.com
*/ 

#define MSESSION_INTERNAL
#define MSESSION_PLUGIN
#define SESSION_INTERNAL
#define MREQ_INTERNAL

#include "msessiond.h"

#ifdef SIZEREQB
#undef SIZEREQB
#endif

#define SIZEREQB(REQB,SIZE) (((REQB)->size >= (unsigned int) SIZE) ? REQB : msessiond->SizeRequestBuffer(REQB,SIZE))

typedef char *PSTR;

// A plugin may NOT call functions declared in Phoenix.
// Since Phoenix is a static library, data used within msession to manage
// state will not be initilized.
//
// These are what is passed to plugins, NOT! a PLUGFN struture.
//
//

typedef MSESSION_GLOBALS	MSESSION_EXPORTS;
