/*
    Mohawk Software Framework by Mohawk Software 
    Copyright (C) 1998-2001 Mark L. Woodward 

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA

    If you want support or to commercially license this library, the author
    can be reached at info@mohawksoft.com
*/
#define TRACE_DEBUG
#include "Phoenix.h"

#define CAST_PERSIST(pblk)	((MFPersist *) (&(pblk)->data[0]))

MFPersistfile::~MFPersistfile(void)
{
	TRACE_FUNCT("persistfil::~persistfil");
	mlistclearall();
}

void MFPersistfile::mlistdelete(PBLK pblk)
{
	TRACE_FUNCT("persistfil::mlistdelete");
	TRACE_ASSERT(pblk);
	delete CAST_PERSIST(pblk);
}


void * MFPersistfile::NewObject(int type, HBLK *phblk, ...)
{
	return (void *) new(this, phblk) MFPersist();
} 
